"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BullMQClass = void 0;
const bullmq_1 = require("bullmq");
class BullMQClass {
    constructor(config) {
        this.config = config;
        this.connection = this.config.get('bullmq.connections.local');
    }
    queue(name) {
        return new bullmq_1.Queue(name, { connection: this.connection });
    }
    worker(name, callback) {
        return new bullmq_1.Worker(name, callback, { connection: this.connection });
    }
    events(name) {
        return new bullmq_1.QueueEvents(name, { connection: this.connection });
    }
}
exports.BullMQClass = BullMQClass;
